Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2250955 - dwc3 and associated modules missing on x86-64
Summary: dwc3 and associated modules missing on x86-64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-11-22 00:26 UTC by Vicki Pfau
Modified: 2023-11-29 01:34 UTC (History)
16 users (show)

Fixed In Version: kernel-6.6.2-101.fc38 kernel-6.6.2-201.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-29 01:29:25 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Vicki Pfau 2023-11-22 00:26:21 UTC
The kernel config has dwc3 and associated modules disabled on all platforms other than AArch64, notably CONFIG_USB_DWC3 (the root dependency)[1]. This doesn't affect much hardware, but notably it prevents the Steam Deck USB port from working properly on newer kernels. It is enabled by default on Arch[2] (which is only x86-64), though disabled by default on Debian[3] and only enabled on AArch64 there as well.

Relevant bug reports on other trackers:

https://gitlab.freedesktop.org/drm/amd/-/issues/2984
https://github.com/ValveSoftware/SteamOS/issues/1200
https://github.com/ublue-os/bazzite/issues/532

References:

[1] https://gitlab.com/cki-project/kernel-ark/-/blob/d48f65c3153a3694975c7cb4527473f8f883e1d1/redhat/configs/common/generic/CONFIG_USB_DWC3
[2] https://gitlab.archlinux.org/archlinux/packaging/packages/linux/-/blob/8d50b29ca6b927096ecf678cec193fc230b447cd/config#L8072-8082
[3] https://salsa.debian.org/kernel-team/linux/-/blob/ebf5a77acdafa98745fa1fe23b56a1a94d775086/debian/config/config#L5309

See also bug 1278457, which was closed as INSUFFICIENT_DATA

Comment 1 Fedora Update System 2023-11-23 14:11:26 UTC
FEDORA-2023-9d54a271e2 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9d54a271e2

Comment 2 Fedora Update System 2023-11-23 14:11:39 UTC
FEDORA-2023-bd14c83780 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-bd14c83780

Comment 3 Fedora Update System 2023-11-24 01:44:03 UTC
FEDORA-2023-9d54a271e2 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9d54a271e2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9d54a271e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-11-24 02:19:03 UTC
FEDORA-2023-bd14c83780 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-bd14c83780`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-bd14c83780

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-11-27 01:16:33 UTC
FEDORA-2023-9d54a271e2 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9d54a271e2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9d54a271e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-11-27 01:34:42 UTC
FEDORA-2023-bd14c83780 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-bd14c83780`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-bd14c83780

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-11-29 01:29:25 UTC
FEDORA-2023-bd14c83780 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-11-29 01:34:55 UTC
FEDORA-2023-9d54a271e2 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.